%def_disable static

Name: libcdio
Version: 0.74
Release: alt1

Summary: CD-ROM/CD-image access library
License: GPL
Group: System/Libraries
Url: http://www.gnu.org/software/%name/

Source: http://ftp.gnu.org/gnu/%name/%name-%version.tar.gz

Requires(post): %install_info
Requires(preun): %uninstall_info

BuildPreReq: kernel-headers-std
BuildPreReq: help2man

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

# Automatically added by buildreq on Thu Jul 22 2004
BuildRequires: gcc-c++ gcc-g77 glib2 libcddb-devel libcdio-devel libpopt-devel libstdc++-devel libvcd-devel pkgconfig

%description
This library is to encapsulate CD-ROM reading and control. Applications
wishing to be oblivious of the OS- and device-dependant properties of a
CD-ROM can use this library.

%package devel
Summary: %name development files
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides %name development files.

%package devel-static
Summary: Static version of %name
Group: Development/C
Requires: %name = %version-%release

%description devel-static
This package provides library that may be used to develop applications
statically linked against %name.

%package utils
Summary: A simple utilities which read and displayings CD info. 
Group: File tools
Requires: %name = %version-%release

%description utils
This package provides simple utilities which read and displayings CD
info. 

%prep
%setup -q

# hack to fix version-script generation
%__subst 's|\(\$(patsubst %\.lo,%\.o,\)\(\$(lib.*_la_OBJECTS))\)|\1$(patsubst %,.libs/%,\2)|' lib/Makefile*

%build
#export LDFLAGS=-lvcdinfo
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

# build actual man pages for cd-read, cd-info
export LD_LIBRARY_PATH=%buildroot%_libdir

help2man -N --name="is a command-line tool to control CD" \
--manual="CDIO Library" \
src/.libs/cd-read > %buildroot%_man1dir/cd-read.1

help2man -N --name="is a command-line tool which displays CD info" \
--manual="CDIO Library" \
src/.libs/cd-info > %buildroot%_man1dir/cd-info.1

# remove non-packaged files
%__rm -f %buildroot%_infodir/dir

%find_lang --with-man --output=manutils.list cd-info cd-read cd-paranoia

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info %name.info
%postun devel
%uninstall_info %name.info

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog README NEWS THANKS TODO

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_infodir/*.info*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files utils -f manutils.list
%_bindir/*

%changelog
* Tue Jul 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.74-alt1
- 0.74

* Thu Jul 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.69-alt1
- 0.69

* Tue Jan 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.65-alt1
- First build for Sisyphus.

